%global repo_orgname project-receptor
%global repo_name satellite-receptor-installer
%global base_version 0.6.6

%global role_orgname %{repo_orgname}
%global role_name satellite_receptor_installer

Name: ansiblerole-satellite-receptor-installer
Summary: Packaging of the satellite_receptor_installer Ansible role
Version: %{base_version}.1
Release: 1%{?dist}
License: GPLv3

Source0: https://github.com/%{repo_orgname}/%{repo_name}/archive/v%{base_version}.tar.gz#/%{role_name}-%{version}.tar.gz
Patch0: 0001-Fixes-30013-Allow-using-http-proxy-18.patch
Url: https://github.com/%{repo_orgname}/%{repo_name}/
BuildArch: noarch

Requires: ansible
Requires: python2-jmespath

%description
This package installs the satellite_receptor_installer Ansibile role.
The role can be used to install and configure the receptor based on
Foreman organizations. It requires Foreman user in order to read Foreman
data.

Make sure that "/usr/share/ansible/roles" is on your Ansible role_path.

%prep

%setup -qc
%patch0 -p1 -d %{repo_name}-%{base_version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/ansible/roles
cp -pR %{repo_name}-%{base_version} %{buildroot}%{_datadir}/ansible/roles/%{role_orgname}.%{role_name}

%files
%{_datadir}/ansible/roles/%{role_orgname}.%{role_name}
%doc %{repo_name}-%{base_version}/README.md

%changelog
* Wed Aug 12 2020 Adam Ruzicka <aruzicka@redhat.com> - 0.6.6.1-1
- Release 0.6.6.1

* Tue May 12 2020 Eric D. Helms <ericdhelms@gmail.com> - 0.6.6-1
- Release 0.6.6

* Fri Apr 03 2020 Patrick Creech <pcreech@redhat.com> - 0.6.4-1
- Version bump to 0.6.4

* Tue Mar 24 2020 Eric D. Helms <ericdhelms@gmail.com> - 0.6.2-2
- Add python2-jmespath requires

* Thu Mar 19 2020 Marek Hulan <mhulan@redhat.com> - 0.6.2-1
- Version bump to 0.6.2

* Thu Mar 12 2020 Marek Hulan <mhulan@redhat.com> - 0.6.0-2
- Repackage the 0.6.0, the tag has been force changed

* Wed Mar 11 2020 Marek Hulan <mhulan@redhat.com> - 0.6.0-1
- Version bump to 0.6.0

* Tue Nov 26 2019 Marek Hulan <mhulan@redhat.com> - 0.5.0-1
- Initial packaging of 0.5.0
